Summary: Log file rotation program for web servers.
Summary(ko): 웹서버 로그 로테이션 프로그램
Name: cronolog
Version: 1.6.2
Release: 2%{?dist}
Epoch: 1
License: GPL
Group: System Environment/Base
Source0: http://www.cronolog.org/download/%{name}-%{version}.tar.gz
Source1: cronolog-usege-korean
Source2: cronocomp
Source3: cronolog.cron
Source4: cronolog.sysconfig

Patch0: cronolog-perlpath.patch
Buildroot: /var/tmp/%{name}-root
Requires: perl

%description
cronolog is a simple program that reads log messages from its input
and writes them to a set of output files, the names of which are
constructed using template and the current date and time.

%prep
%setup -q
%patch0 -p1 -b .orig
install -m644 %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/USAGE-KR

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr \
	--sbindir=/usr/sbin \
	--infodir=%{_infodir} \
	--mandir=%{_mandir}

make

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mkdir_p} %{buildroot}%{_infodir}
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__mkdir_p} %{buildroot}%{_sysconfdir}/{cron.d,sysconfig}

%{__install} -m755 src/cronolog %{buildroot}%{_sbindir}/cronolog
%{__install} -m755 src/cronosplit %{buildroot}%{_sbindir}/cronosplit
%{__install} -m644 doc/cronolog.info %{buildroot}%{_infodir}/cronolog.info
%{__install} -m644 doc/cronolog.1m %{buildroot}%{_mandir}/man1/cronolog.1
%{__install} -m644 doc/cronosplit.1m %{buildroot}%{_mandir}/man1/cronosplit.1

%{__install} -m755 %{SOURCE2} %{buildroot}%{_sbindir}/cronocomp
%{__install} -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.d/cronolog
%{__install} -m644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/cronolog

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755, root, root) %{_sbindir}/crono*
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%{_mandir}/man1/cronolog.1.gz
%{_mandir}/man1/cronosplit.1.gz
%{_infodir}/cronolog.info.gz
%doc COPYING ChangeLog INSTALL NEWS README TODO USAGE-KR

%changelog
* Mon Mar 26 2012 JoungKyun.Kim <http://oops.org> 1:1.6.2-2%{?dist}
- fixed cronocomp that don't operate $PERIOD
- change cronlog.cron that execute 1 time per day

* Sun Feb 26 2012 JoungKyun.Kim <http://oops.org> 1:1.6.2-1%{?dist}
- 1st packaged
